JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | List of all members
ExtraLookAndFeelBaseClasses::KeyMappingEditorComponentMethods Struct Referenceabstract
juce_gui_basics » lookandfeel

This abstract base class is implemented by LookAndFeel classes. More...

`#include <juce_LookAndFeel.h>`

Inheritance diagram for ExtraLookAndFeelBaseClasses::KeyMappingEditorComponentMethods:

## Public Member Functions
virtual | ~KeyMappingEditorComponentMethods ()=default
virtual void | drawKeymapChangeButton (Graphics &, int width, int height, Button &, const String &keyDescription)=0

## Detailed Description

This abstract base class is implemented by LookAndFeel classes.

## Constructor & Destructor Documentation

## ◆ ~KeyMappingEditorComponentMethods()

virtual ExtraLookAndFeelBaseClasses::KeyMappingEditorComponentMethods::~KeyMappingEditorComponentMethods | ( |  | ) |
| virtual default

## Member Function Documentation

## ◆ drawKeymapChangeButton()

virtual void ExtraLookAndFeelBaseClasses::KeyMappingEditorComponentMethods::drawKeymapChangeButton | ( | Graphics & | ,
|  | int | width,
|  | int | height,
|  | Button & | ,
|  | const String & | keyDescription )
| pure virtual

Implemented in LookAndFeel_V2, and LookAndFeel_V3.

The documentation for this struct was generated from the following file:

- juce_LookAndFeel.h